#ifndef __FACULTY_H__
#define __FACULTY_H__

#include "Person.h"

class CFaculty : public CPerson {
	friend std::ostream& operator<<(std::ostream&, const CFaculty&);
	friend std::ostream& operator<<(std::ostream&, const CFaculty*);
	friend std::istream& operator>>(std::istream&, CFaculty&);
	friend bool operator==(const CFaculty &lhs, const CFaculty &rhs);

public:
	CFaculty();								// default constructor
	CFaculty(CString, int, CString, CString, CString);	// conversion
	CFaculty(const CFaculty&);	// copy constructor
	CFaculty& operator=(const CFaculty&); // operator=
	virtual ~CFaculty();
	virtual void Show();
	CString GetDepartment();

private:
	CString m_strDept;
};

#endif