#ifndef __PERSON_MANAGER_H__
#define __PERSON_MANAGER_H__

#include <afxtempl.h>
#include "Person.h"
using namespace std;

class CPersonManager {
public:
	CPersonManager();				// default constructor
	~CPersonManager();

	void Show();
	void RemoveAll();
	int GetTotalNumberOfPeople() const;
	CList<CPerson*, CPerson*>& GetPersonList();

	void Add(CPerson*);
	bool Remove(CPerson*);

private:
	CList<CPerson*, CPerson*> m_aPersonList;
};

#endif