#ifndef __STUDENT_H__
#define __STUDENT_H__

#include "Person.h"

class CStudent : public CPerson {
	friend std::ostream& operator<<(std::ostream&, const CStudent&);
	friend std::ostream& operator<<(std::ostream&, const CStudent*);
	friend std::istream& operator>>(std::istream&, CStudent&);
	friend bool operator==(const CStudent &lhs, const CStudent &rhs);

public:
	CStudent();								// default constructor
	CStudent(CString, int, CString, CString, float);	// conversion
	CStudent(const CStudent&);	// copy constructor
	CStudent& operator=(const CStudent&); // operator=
	virtual ~CStudent() {}
	virtual void Show();
	float GetGPA() const;

private:
	float m_nGPA;
};

#endif